version: '3.8'
services:
  cubrid:
    image: cubrid/cubrid:latest
    container_name: cubrid_server
    ipc: host
    ports:
      - "33000:33000"
      - "30000:30000"  # Map 33001 on the host to 33000 in the container
      - "8001:8001"    # Keep 8001 the same
    environment:
      - CUBRID_DB=demodb
      - CUBRID_USER=dba
      - CUBRID_PASSWORD=
    restart: unless-stopped
